Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
anaconda problem
Solving environment: done
## Package Plan ##
environment location: /Users/leima/anaconda3
removed specs:
- numpy
The following packages will be downloaded:
package | build
---------------------------|-----------------
conda-4.7.11 | py37_0 3.0 MB conda-forge
freetype-2.10.0 | h24853df_1 894 KB conda-forge
ipykernel-5.1.2 | py37h5ca1d4c_0 159 KB conda-forge
nbconvert-5.6.0 | py_0 381 KB conda-forge
pillow-6.1.0 | py37h75ffe9a_1 591 KB conda-forge
pip-19.2.2 | py37_0 1.9 MB conda-forge
tqdm-4.33.0 | py_0 41 KB conda-forge
------------------------------------------------------------
Total: 6.9 MB
The following packages will be REMOVED:
_anaconda_depends-2019.03-py37_0
alabaster-0.7.12-py_0
anaconda-custom-py37_1
anaconda-project-0.8.3-py_0
appscript-1.1.0-py37h01d97ff_0
astroid-2.2.5-py37_0
astropy-3.2.1-py37h01d97ff_0
atomicwrites-1.3.0-py_0
babel-2.7.0-py_0
backports-1.0-py_2
backports.os-0.1.1-py37_1001
backports.shutil_get_terminal_size-1.0.0-py_3
bitarray-1.0.1-py37h01d97ff_0
bkcharts-0.2-py37_0
blas-2.11-openblas
blinker-1.4-py_1
blosc-1.17.0-h6de7cb9_0
bokeh-1.3.1-py37_0
boto-2.49.0-py_0
boto3-1.9.200-py_0
botocore-1.12.200-py_0
bottleneck-1.2.1-py37h917ab60_1001
bz2file-0.98-py_0
cloudpickle-1.2.1-py_0
colorama-0.4.1-py_0
contextlib2-0.5.5-py_2
curl-7.65.3-h22ea746_0
cycler-0.10.0-py_1
cython-0.29.13-py37h6de7cb9_0
cytoolz-0.10.0-py37h01d97ff_0
dask-2.2.0-py_0
dask-core-2.2.0-py_0
distributed-2.2.0-py_1
docutils-0.14-py37_1001
et_xmlfile-1.0.1-py_1001
fastcache-1.1.0-py37h01d97ff_0
flask-1.1.1-py_1
fsspec-0.4.0-py_0
gensim-3.4.0-py37h1de35cc_0
get_terminal_size-1.0.0-h7520d66_0
gevent-1.4.0-py37h470a237_0
gmp-6.1.2-h0a44026_1000
gmpy2-2.1.0b1-py37h1744cca_0
greenlet-0.4.15-py37h01d97ff_0
h5py-2.9.0-nompi_py37h3d62f72_1103
hdf5-1.10.4-nompi_h0cbb7df_1106
heapdict-1.0.0-py37_1000
html5lib-1.0.1-py_0
imageio-2.5.0-py37_0
imagesize-1.1.0-py_0
importlib_metadata-0.18-py37_0
intel-openmp-2019.4-233
isort-4.3.21-py37_0
itsdangerous-1.1.0-py_0
jbig-2.1-h1de35cc_2001
jdcal-1.4.1-py_0
jmespath-0.9.4-py_0
joblib-0.13.2-py_0
keyring-19.0.2-py37_0
kiwisolver-1.1.0-py37h770b8ee_0
krb5-1.16.3-hcfa6398_1001
lazy-object-proxy-1.4.1-py37h01d97ff_0
libblas-3.8.0-11_openblas
libcblas-3.8.0-11_openblas
libcurl-7.65.3-h16faf7d_0
libedit-3.1.20170329-hcfe32e1_1001
libgfortran-3.0.1-0
liblapack-3.8.0-11_openblas
liblapacke-3.8.0-11_openblas
libopenblas-0.3.6-hd44dcd8_6
libssh2-1.8.2-hcdc9a53_2
libxslt-1.1.32-h1e79283_1003
llvm-openmp-8.0.0-h770b8ee_0
llvmlite-0.29.0-py37h3fea490_1
locket-0.2.0-py_2
lxml-4.4.0-py37h08abf6f_0
matplotlib-3.1.1-py37_1
matplotlib-base-3.1.1-py37h3a684a6_1
mccabe-0.6.1-py_1
mkl-2019.4-233
mkl-service-2.1.0-py37h01d97ff_0
mkl_fft-1.0.14-py37h01d97ff_1
mkl_random-1.0.4-py37h051e8ed_0
mock-3.0.5-py37_0
more-itertools-7.2.0-py_0
mpc-1.1.0-h3aece09_1006
mpfr-4.0.2-h0a95893_0
mpmath-1.1.0-py_0
msgpack-python-0.6.1-py37h04f5b5a_0
multipledispatch-0.6.0-py_0
networkx-2.3-py_0
nltk-3.2.5-py_0
nose-1.3.7-py37_1002
numba-0.45.1-py37h86efe34_0
numexpr-2.6.9-py37h1702cab_1000
numpy-1.16.4-py37h926163e_0
numpy-base-1.16.4-py37ha711998_0
numpydoc-0.9.1-py_0
oauthlib-3.0.1-py_0
openpyxl-2.6.2-py_0
packaging-19.0-py_0
pandas-0.25.0-py37h86efe34_0
partd-1.0.0-py_0
path.py-12.0.1-py_0
pathlib2-2.3.4-py37_0
patsy-0.5.1-py_0
pep8-1.7.1-py_0
pluggy-0.12.0-py_0
ply-3.11-py_1
py-1.8.0-py_0
pycodestyle-2.5.0-py_0
pycrypto-2.6.1-py37h1de35cc_1002
pycurl-7.43.0.2-py37ha206b4a_1
pyflakes-2.1.1-py_0
pyjwt-1.7.1-py_0
pylint-2.3.1-py37_0
pyodbc-4.0.27-py37h6de7cb9_0
pyparsing-2.4.2-py_0
pytables-3.5.2-py37hc2baff1_0
pytest-5.0.1-py37_1
pytest-arraydiff-0.3-py_0
pytest-astropy-0.5.0-py_0
pytest-doctestplus-0.3.0-py_0
pytest-openfiles-0.4.0-py_0
pytest-remotedata-0.3.1-py_0
python-crfsuite-0.9.6-py37h04f5b5a_1000
pywavelets-1.0.3-py37h1e5eb4f_1
qtawesome-0.6.0-py_0
requests-oauthlib-1.2.0-py_0
rope-0.14.0-py_0
s3transfer-0.2.1-py37_0
scikit-image-0.15.0-py37h86efe34_2
scikit-learn-0.21.3-py37hd4ffd6c_0
scipy-1.3.0-py37hab3da7d_1
seaborn-0.9.0-py_1
simplegeneric-0.8.1-py_1
singledispatch-3.4.0.3-py37_1000
smart_open-1.8.4-py_0
snappy-1.1.7-h6de7cb9_1002
snowballstemmer-1.9.0-py_0
sortedcollections-1.1.2-py_0
sortedcontainers-2.1.0-py_0
sphinx-2.1.2-py_0
sphinxcontrib-1.0-py37_1
sphinxcontrib-applehelp-1.0.1-py_0
sphinxcontrib-devhelp-1.0.1-py_0
sphinxcontrib-htmlhelp-1.0.2-py_0
sphinxcontrib-jsmath-1.0.1-py_0
sphinxcontrib-qthelp-1.0.2-py_0
sphinxcontrib-serializinghtml-1.1.1-py_0
sphinxcontrib-websupport-1.1.2-py_0
spyder-3.3.6-py37_0
spyder-kernels-0.5.1-py37_0
sqlalchemy-1.3.6-py37h01d97ff_0
statsmodels-0.10.1-py37heacc8b8_0
sympy-1.4-py37_0
tblib-1.4.0-py_0
toolz-0.10.0-py_0
twython-3.7.0-py_0
unicodecsv-0.14.1-py_1
unixodbc-2.3.7-hea208f4_1000
werkzeug-0.15.5-py_0
wrapt-1.11.2-py37h01d97ff_0
wurlitzer-1.0.3-py37_0
xlrd-1.2.0-py_0
xlsxwriter-1.1.8-py_0
xlwings-0.15.8-py37_0
xlwt-1.3.0-py_1
zict-1.0.0-py_0
zipp-0.5.2-py_0
The following packages will be UPDATED:
conda 4.7.10-py37_0 --> 4.7.11-py37_0
freetype 2.10.0-h24853df_0 --> 2.10.0-h24853df_1
ipykernel 5.1.1-py37h5ca1d4c_0 --> 5.1.2-py37h5ca1d4c_0
nbconvert 5.5.0-py_0 --> 5.6.0-py_0
pillow 6.0.0-py37h7095ceb_0 --> 6.1.0-py37h75ffe9a_1
pip 19.2.1-py37_0 --> 19.2.2-py37_0
tqdm 4.32.2-py_0 --> 4.33.0-py_0
Proceed ([y]/n)? y
Downloading and Extracting Packages
tqdm-4.33.0 | 41 KB | ################################################################################################################################## | 100%
ipykernel-5.1.2 | 159 KB | ################################################################################################################################## | 100%
pip-19.2.2 | 1.9 MB | ################################################################################################################################## | 100%
freetype-2.10.0 | 894 KB | ################################################################################################################################## | 100%
conda-4.7.11 | 3.0 MB | ################################################################################################################################## | 100%
nbconvert-5.6.0 | 381 KB | ################################################################################################################################## | 100%
pillow-6.1.0 | 591 KB | ################################################################################################################################## | 100%
Preparing transaction: done
Verifying transaction: done
Executing transaction: done
(base) ➜ homelike-nd conda install numpy
Traceback (most recent call last):
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1062, in __call__
return func(*args, **kwargs)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/main.py", line 84, in _main
exit_code = do_call(args, p)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/conda_argparse.py", line 80, in do_call
module = import_module(relative_mod, __name__.rsplit('.', 1)[0])
File "/Users/leima/anaconda3/lib/python3.7/importlib/__init__.py", line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
File "<frozen importlib._bootstrap>", line 983, in _find_and_load
File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
File "<frozen importlib._bootstrap_external>", line 728, in exec_module
File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/main_install.py", line 8, in <module>
from .install import install
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/install.py", line 19, in <module>
from ..core.index import calculate_channel_urls, get_index
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/index.py", line 9, in <module>
from .package_cache_data import PackageCacheData
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 15, in <module>
from .path_actions import CacheUrlAction, ExtractPackageAction
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/path_actions.py", line 30, in <module>
from ..gateways.connection.download import download
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/download.py", line 18, in <module>
from .session import CondaSession
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/session.py", line 13, in <module>
from .adapters.s3 import S3Adapter
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/adapters/s3.py", line 14, in <module>
boto3.client('s3') # https://github.com/conda/conda/issues/8993
AttributeError: module 'boto3' has no attribute 'client'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/leima/anaconda3/bin/conda", line 13, in <module>
sys.exit(main())
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/main.py", line 150, in main
return conda_exception_handler(_main, *args, **kwargs)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1354, in conda_exception_handler
return_value = exception_handler(func, *args, **kwargs)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1065, in __call__
return self.handle_exception(exc_val, exc_tb)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1109, in handle_exception
return self.handle_unexpected_exception(exc_val, exc_tb)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1120, in handle_unexpected_exception
self.print_unexpected_error_report(error_report)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1190, in print_unexpected_error_report
from .cli.main_info import get_env_vars_str, get_main_info_str
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/main_info.py", line 19, in <module>
from ..core.index import _supplement_index_with_system
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/index.py", line 9, in <module>
from .package_cache_data import PackageCacheData
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 15, in <module>
from .path_actions import CacheUrlAction, ExtractPackageAction
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/path_actions.py", line 30, in <module>
from ..gateways.connection.download import download
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/download.py", line 18, in <module>
from .session import CondaSession
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/session.py", line 13, in <module>
from .adapters.s3 import S3Adapter
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/adapters/s3.py", line 14, in <module>
boto3.client('s3') # https://github.com/conda/conda/issues/8993
AttributeError: module 'boto3' has no attribute 'client'
(base) ➜ homelike-nd conda install pandas
Traceback (most recent call last):
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1062, in __call__
return func(*args, **kwargs)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/main.py", line 84, in _main
exit_code = do_call(args, p)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/conda_argparse.py", line 80, in do_call
module = import_module(relative_mod, __name__.rsplit('.', 1)[0])
File "/Users/leima/anaconda3/lib/python3.7/importlib/__init__.py", line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
File "<frozen importlib._bootstrap>", line 983, in _find_and_load
File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
File "<frozen importlib._bootstrap_external>", line 728, in exec_module
File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/main_install.py", line 8, in <module>
from .install import install
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/install.py", line 19, in <module>
from ..core.index import calculate_channel_urls, get_index
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/index.py", line 9, in <module>
from .package_cache_data import PackageCacheData
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 15, in <module>
from .path_actions import CacheUrlAction, ExtractPackageAction
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/path_actions.py", line 30, in <module>
from ..gateways.connection.download import download
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/download.py", line 18, in <module>
from .session import CondaSession
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/session.py", line 13, in <module>
from .adapters.s3 import S3Adapter
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/adapters/s3.py", line 14, in <module>
boto3.client('s3') # https://github.com/conda/conda/issues/8993
AttributeError: module 'boto3' has no attribute 'client'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/leima/anaconda3/bin/conda", line 13, in <module>
sys.exit(main())
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/main.py", line 150, in main
return conda_exception_handler(_main, *args, **kwargs)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1354, in conda_exception_handler
return_value = exception_handler(func, *args, **kwargs)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1065, in __call__
return self.handle_exception(exc_val, exc_tb)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1109, in handle_exception
return self.handle_unexpected_exception(exc_val, exc_tb)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1120, in handle_unexpected_exception
self.print_unexpected_error_report(error_report)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1190, in print_unexpected_error_report
from .cli.main_info import get_env_vars_str, get_main_info_str
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/main_info.py", line 19, in <module>
from ..core.index import _supplement_index_with_system
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/index.py", line 9, in <module>
from .package_cache_data import PackageCacheData
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 15, in <module>
from .path_actions import CacheUrlAction, ExtractPackageAction
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/path_actions.py", line 30, in <module>
from ..gateways.connection.download import download
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/download.py", line 18, in <module>
from .session import CondaSession
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/session.py", line 13, in <module>
from .adapters.s3 import S3Adapter
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/adapters/s3.py", line 14, in <module>
boto3.client('s3') # https://github.com/conda/conda/issues/8993
AttributeError: module 'boto3' has no attribute 'client'
(base) ➜ homelike-nd conda clean --all
Traceback (most recent call last):
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1062, in __call__
return func(*args, **kwargs)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/main.py", line 84, in _main
exit_code = do_call(args, p)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/conda_argparse.py", line 82, in do_call
exit_code = getattr(module, func_name)(args, parser)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/main_clean.py", line 288, in execute
json_result = _execute(args, parser)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/main_clean.py", line 240, in _execute
pkgs_dirs, totalsize = find_tarballs()
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/main_clean.py", line 20, in find_tarballs
from ..core.package_cache_data import PackageCacheData
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 15, in <module>
from .path_actions import CacheUrlAction, ExtractPackageAction
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/path_actions.py", line 30, in <module>
from ..gateways.connection.download import download
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/download.py", line 18, in <module>
from .session import CondaSession
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/session.py", line 13, in <module>
from .adapters.s3 import S3Adapter
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/adapters/s3.py", line 14, in <module>
boto3.client('s3') # https://github.com/conda/conda/issues/8993
AttributeError: module 'boto3' has no attribute 'client'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/leima/anaconda3/bin/conda", line 13, in <module>
sys.exit(main())
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/main.py", line 150, in main
return conda_exception_handler(_main, *args, **kwargs)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1354, in conda_exception_handler
return_value = exception_handler(func, *args, **kwargs)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1065, in __call__
return self.handle_exception(exc_val, exc_tb)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1109, in handle_exception
return self.handle_unexpected_exception(exc_val, exc_tb)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1120, in handle_unexpected_exception
self.print_unexpected_error_report(error_report)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1190, in print_unexpected_error_report
from .cli.main_info import get_env_vars_str, get_main_info_str
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/main_info.py", line 19, in <module>
from ..core.index import _supplement_index_with_system
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/index.py", line 9, in <module>
from .package_cache_data import PackageCacheData
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 15, in <module>
from .path_actions import CacheUrlAction, ExtractPackageAction
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/path_actions.py", line 30, in <module>
from ..gateways.connection.download import download
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/download.py", line 18, in <module>
from .session import CondaSession
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/session.py", line 13, in <module>
from .adapters.s3 import S3Adapter
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/adapters/s3.py", line 14, in <module>
boto3.client('s3') # https://github.com/conda/conda/issues/8993
AttributeError: module 'boto3' has no attribute 'client'
(base) ➜ homelike-nd conda update --all
Traceback (most recent call last):
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1062, in __call__
return func(*args, **kwargs)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/main.py", line 84, in _main
exit_code = do_call(args, p)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/conda_argparse.py", line 80, in do_call
module = import_module(relative_mod, __name__.rsplit('.', 1)[0])
File "/Users/leima/anaconda3/lib/python3.7/importlib/__init__.py", line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
File "<frozen importlib._bootstrap>", line 983, in _find_and_load
File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
File "<frozen importlib._bootstrap_external>", line 728, in exec_module
File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/main_update.py", line 8, in <module>
from .install import install
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/install.py", line 19, in <module>
from ..core.index import calculate_channel_urls, get_index
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/index.py", line 9, in <module>
from .package_cache_data import PackageCacheData
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 15, in <module>
from .path_actions import CacheUrlAction, ExtractPackageAction
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/path_actions.py", line 30, in <module>
from ..gateways.connection.download import download
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/download.py", line 18, in <module>
from .session import CondaSession
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/session.py", line 13, in <module>
from .adapters.s3 import S3Adapter
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/adapters/s3.py", line 14, in <module>
boto3.client('s3') # https://github.com/conda/conda/issues/8993
AttributeError: module 'boto3' has no attribute 'client'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/leima/anaconda3/bin/conda", line 13, in <module>
sys.exit(main())
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/main.py", line 150, in main
return conda_exception_handler(_main, *args, **kwargs)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1354, in conda_exception_handler
return_value = exception_handler(func, *args, **kwargs)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1065, in __call__
return self.handle_exception(exc_val, exc_tb)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1109, in handle_exception
return self.handle_unexpected_exception(exc_val, exc_tb)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1120, in handle_unexpected_exception
self.print_unexpected_error_report(error_report)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1190, in print_unexpected_error_report
from .cli.main_info import get_env_vars_str, get_main_info_str
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/main_info.py", line 19, in <module>
from ..core.index import _supplement_index_with_system
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/index.py", line 9, in <module>
from .package_cache_data import PackageCacheData
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 15, in <module>
from .path_actions import CacheUrlAction, ExtractPackageAction
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/path_actions.py", line 30, in <module>
from ..gateways.connection.download import download
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/download.py", line 18, in <module>
from .session import CondaSession
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/session.py", line 13, in <module>
from .adapters.s3 import S3Adapter
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/adapters/s3.py", line 14, in <module>
boto3.client('s3') # https://github.com/conda/conda/issues/8993
AttributeError: module 'boto3' has no attribute 'client'
(base) ➜ homelike-nd conda env --list
Traceback (most recent call last):
File "/Users/leima/anaconda3/bin/conda-env", line 6, in <module>
from conda_env.cli.main import main
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda_env/cli/main.py", line 39, in <module>
from . import main_create
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda_env/cli/main_create.py", line 12, in <module>
from conda.cli import install as cli_install
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/install.py", line 19, in <module>
from ..core.index import calculate_channel_urls, get_index
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/index.py", line 9, in <module>
from .package_cache_data import PackageCacheData
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 15, in <module>
from .path_actions import CacheUrlAction, ExtractPackageAction
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/path_actions.py", line 30, in <module>
from ..gateways.connection.download import download
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/download.py", line 18, in <module>
from .session import CondaSession
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/session.py", line 13, in <module>
from .adapters.s3 import S3Adapter
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/adapters/s3.py", line 14, in <module>
boto3.client('s3') # https://github.com/conda/conda/issues/8993
AttributeError: module 'boto3' has no attribute 'client'
(base) ➜ homelike-nd conda activate hl-growth
(hl-growth) ➜ homelike-nd conda install pandas
Traceback (most recent call last):
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1062, in __call__
return func(*args, **kwargs)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/main.py", line 84, in _main
exit_code = do_call(args, p)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/conda_argparse.py", line 80, in do_call
module = import_module(relative_mod, __name__.rsplit('.', 1)[0])
File "/Users/leima/anaconda3/lib/python3.7/importlib/__init__.py", line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
File "<frozen importlib._bootstrap>", line 983, in _find_and_load
File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
File "<frozen importlib._bootstrap_external>", line 728, in exec_module
File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/main_install.py", line 8, in <module>
from .install import install
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/install.py", line 19, in <module>
from ..core.index import calculate_channel_urls, get_index
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/index.py", line 9, in <module>
from .package_cache_data import PackageCacheData
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 15, in <module>
from .path_actions import CacheUrlAction, ExtractPackageAction
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/path_actions.py", line 30, in <module>
from ..gateways.connection.download import download
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/download.py", line 18, in <module>
from .session import CondaSession
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/session.py", line 13, in <module>
from .adapters.s3 import S3Adapter
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/adapters/s3.py", line 14, in <module>
boto3.client('s3') # https://github.com/conda/conda/issues/8993
AttributeError: module 'boto3' has no attribute 'client'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/leima/anaconda3/bin/conda", line 13, in <module>
sys.exit(main())
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/main.py", line 150, in main
return conda_exception_handler(_main, *args, **kwargs)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1354, in conda_exception_handler
return_value = exception_handler(func, *args, **kwargs)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1065, in __call__
return self.handle_exception(exc_val, exc_tb)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1109, in handle_exception
return self.handle_unexpected_exception(exc_val, exc_tb)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1120, in handle_unexpected_exception
self.print_unexpected_error_report(error_report)
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1190, in print_unexpected_error_report
from .cli.main_info import get_env_vars_str, get_main_info_str
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/cli/main_info.py", line 19, in <module>
from ..core.index import _supplement_index_with_system
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/index.py", line 9, in <module>
from .package_cache_data import PackageCacheData
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 15, in <module>
from .path_actions import CacheUrlAction, ExtractPackageAction
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/core/path_actions.py", line 30, in <module>
from ..gateways.connection.download import download
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/download.py", line 18, in <module>
from .session import CondaSession
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/session.py", line 13, in <module>
from .adapters.s3 import S3Adapter
File "/Users/leima/anaconda3/lib/python3.7/site-packages/conda/gateways/connection/adapters/s3.py", line 14, in <module>
boto3.client('s3') # https://github.com/conda/conda/issues/8993
AttributeError: module 'boto3' has no attribute 'client'
(hl-growth) ➜ homelike-nd which python
/Users/leima/anaconda3/envs/hl-growth/bin/python
(hl-growth) ➜ homelike-nd pip install boto3
Collecting boto3
Downloading https://files.pythonhosted.org/packages/49/d1/93d50a60b299df9ab1ae6b6fa683c5d3166b5b14e05d9660071d604bbd39/boto3-1.9.205-py2.py3-none-any.whl (128kB)
|████████████████████████████████| 133kB 4.3MB/s
Collecting s3transfer<0.3.0,>=0.2.0 (from boto3)
Using cached https://files.pythonhosted.org/packages/16/8a/1fc3dba0c4923c2a76e1ff0d52b305c44606da63f718d14d3231e21c51b0/s3transfer-0.2.1-py2.py3-none-any.whl
Collecting botocore<1.13.0,>=1.12.205 (from boto3)
Downloading https://files.pythonhosted.org/packages/f8/54/3e3df6187a61456d9efaf0f4151b5e2d5bcf60e3a80de723d32ce7be1df2/botocore-1.12.205-py2.py3-none-any.whl (5.7MB)
|████████████████████████████████| 5.7MB 7.5MB/s
Collecting jmespath<1.0.0,>=0.7.1 (from boto3)
Using cached https://files.pythonhosted.org/packages/83/94/7179c3832a6d45b266ddb2aac329e101367fbdb11f425f13771d27f225bb/jmespath-0.9.4-py2.py3-none-any.whl
Requirement already satisfied: urllib3<1.26,>=1.20; python_version >= "3.4" in /Users/leima/anaconda3/envs/hl-growth/lib/python3.7/site-packages (from botocore<1.13.0,>=1.12.205->boto3) (1.25.3)
Collecting docutils<0.15,>=0.10 (from botocore<1.13.0,>=1.12.205->boto3)
Using cached https://files.pythonhosted.org/packages/36/fa/08e9e6e0e3cbd1d362c3bbee8d01d0aedb2155c4ac112b19ef3cae8eed8d/docutils-0.14-py3-none-any.whl
Requirement already satisfied: python-dateutil<3.0.0,>=2.1; python_version >= "2.7" in /Users/leima/anaconda3/envs/hl-growth/lib/python3.7/site-packages (from botocore<1.13.0,>=1.12.205->boto3) (2.8.0)
Requirement already satisfied: six>=1.5 in /Users/leima/anaconda3/envs/hl-growth/lib/python3.7/site-packages (from python-dateutil<3.0.0,>=2.1; python_version >= "2.7"->botocore<1.13.0,>=1.12.205->boto3) (1.12.0)
Installing collected packages: jmespath, docutils, botocore, s3transfer, boto3
Successfully installed boto3-1.9.205 botocore-1.12.205 docutils-0.14 jmespath-0.9.4 s3transfer-0.2.1
(hl-growth) ➜ homelike-nd conda deactivate
(base) ➜ homelike-nd pip install boto3
Requirement already satisfied: boto3 in /Users/leima/anaconda3/lib/python3.7/site-packages (1.9.184)
Requirement already satisfied: s3transfer<0.3.0,>=0.2.0 in /Users/leima/anaconda3/lib/python3.7/site-packages (from boto3) (0.2.1)
WARNING: No metadata found in /Users/leima/anaconda3/lib/python3.7/site-packages
ERROR: Could not install packages due to an EnvironmentError: [Errno 2] No such file or directory: '/Users/leima/anaconda3/lib/python3.7/site-packages/s3transfer-0.2.1.dist-info/METADATA'
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.